### Virtual Method

# Gio Vfs get_supported_uri_schemes

#### Declaration

    const gchar* const*
    get_supported_uri_schemes (
      GVfs* vfs
    )

#### Description

Gets a list of URI schemes supported by `vfs`.

#### Return value

Type: An array of `utf8`

A `NULL`-terminated array of strings. The returned array belongs to GIO and must not be freed or modified.

The array is `NULL`-terminated.
The data is owned by the called function.
Each element is a NUL terminated UTF-8 string.